classification
Title: Possible leak in initialization of errmap for OSError
Type: resource usage Stage: resolved
Components: Interpreter Core Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-11-21 15:01 by serhiy.storchaka, last changed 2021-01-02 11:05 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23446 merged serhiy.storchaka, 2020-11-21 15:02
PR 24025 merged serhiy.storchaka, 2020-12-31 12:50
PR 24057 merged serhiy.storchaka, 2021-01-02 09:54
Messages (4)
msg381565 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-11-21 15:01
There is a potential leak when adding item to errmap (errno to OSError subclass mapping) fails.
msg381569 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-11-21 17:17
New changeset ed1007c0d74e658d1e6c9b51b12ce7501eb8cbf9 by Serhiy Storchaka in branch 'master':
bpo-42425: Fix possible leak in initialization of errmap for OSError (GH-23446)
https://github.com/python/cpython/commit/ed1007c0d74e658d1e6c9b51b12ce7501eb8cbf9
msg384188 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-01-01 17:40
New changeset 1a544e1dcf8e0880ee35ce78a7f90fc4e5c98c4f by Serhiy Storchaka in branch '3.8':
[3.8] bpo-42425: Fix possible leak in initialization of errmap for OSError (GH-23446). (GH-24025)
https://github.com/python/cpython/commit/1a544e1dcf8e0880ee35ce78a7f90fc4e5c98c4f
msg384219 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-01-02 10:24
New changeset 7695d832565914efcedcc885feb129f5102aec90 by Serhiy Storchaka in branch '3.9':
[3.9] bpo-42425: Fix possible leak in initialization of errmap for OSError (GH-23446). (GH-24057)
https://github.com/python/cpython/commit/7695d832565914efcedcc885feb129f5102aec90
History
Date User Action Args
2021-01-02 11:05:39serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-01-02 10:24:30serhiy.storchakasetmessages: + msg384219
2021-01-02 09:54:12serhiy.storchakasetpull_requests: + pull_request22891
2021-01-01 17:40:14serhiy.storchakasetmessages: + msg384188
2020-12-31 12:50:44serhiy.storchakasetpull_requests: + pull_request22865
2020-11-21 17:17:53serhiy.storchakasetmessages: + msg381569
2020-11-21 15:02:28serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request22338
2020-11-21 15:01:13serhiy.storchakacreate